.admin-wrapper {
    display: flex;
    align-items: center;
    gap: 10px;
    margin-top: 25px;
    background: rgba(228, 96, 51, 0.03);
    padding: 8px;
    border-radius: 10px;
    width: fit-content;
}

.switch {
    position: relative;
    display: inline-block;
    width: 34px;
    height: 18px;
}

.switch input {
    opacity: 0;
    width: 0;
    height: 0;
}

.slider {
    position: absolute;
    cursor: pointer;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-color: #ccc;
    transition: .4s;
    border-radius: 18px;
}

.slider:before {
    position: absolute;
    content: "";
    height: 12px;
    width: 12px;
    left: 3px;
    bottom: 3px;
    background-color: white;
    transition: .4s;
    border-radius: 50%;
}

input:checked + .slider {
    background: linear-gradient(to right, var(--primary), var(--outline));
}

input:checked + .slider:before {
    transform: translateX(16px);
}

/* .admin-text {
    display: flex;
    flex-direction:column;
}

.admin-label {
    font-size: 12px;
    font-weight: bold;
    color: var(--black) !important;
    position: static !important;
}

.admin-text p {
    margin: 0;
    font-size: 10px;
    color: #888;
} */
 .role-select {
    margin-top: 10px;
}

.radio-group {
    display: inline;
    align-items: center;
    gap: 8px;
    margin: 5px 0;
    margin-left: 9px;
}

/* شكل الدائرة */
.radio-group input[type="radio"] {
    appearance: none;
    width: 14px;
    height: 14px;
    border: 2px solid #ff7a00;
    border-radius: 50%;
    cursor: pointer;
    position: relative;
}

/* النقطة اللي جوا لما يتحدد */
.radio-group input[type="radio"]:checked::before {
    content: "";
    
    width: 7px;
    height: 7px;
    background-color: #ff7a00;
    border-radius: 50%;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
}

.signup {
    width: 100%;              
    text-align: right;       
    color: grey;
    margin-top: 15px;
}

.signup a {
    color: var(--outline);  
    text-decoration: none;
    margin-left: 5px;  
   text-align: right;
}
.signup a:hover {
    text-decoration: underline;
}
.radio-group input[type="radio"]:checked {
    border-color: #ff7a00;
}

.custom-alert {
  padding: 0.75rem 1.25rem;
  margin:0 auto;
  border-radius: 1rem;
  font-weight: 500;
  text-align: center;
  max-width: 400px;
  box-shadow: 0 4px 6px rgba(0,0,0,0.1);
}
/*  Success message */
.custom-alert.success {
  background-color: #4caf50;
  color: white;
}
/* Warning message */
 .custom-alert.warning {
  background: linear-gradient(to right, var(--primary), var(--outline));
  color: white;
} 
/* Danger / error message */
 .custom-alert.danger {
  background-color: #f44336;
  color: white;
} 